VirtualBox Main API

Public Member Functions | Public Attributes | List of all members
ICloudProfile Interface Reference
Inheritance diagram for ICloudProfile:

## Public Member Functions
void | getProperty (in wstring name, [retval] out wstring value)
| Returns the value of the cloud profile property with the given name.
void | setProperty (in wstring name, in wstring value)
| Sets the value of the cloud profile property with the given name.
void | getProperties (in wstring names, out wstring[] returnNames, [retval] out wstring[] returnValues)
| Returns values for a group of properties in one call.
void | setProperties (in wstring[] names, in wstring[] values)
| Updates profile, changing/adding/removing properties.
void | remove ()
| Deletes a profile.
void | createCloudClient ([retval] out ICloudClient cloudClient)
| Creates a cloud client for this cloud profile.

## Public Attributes
attribute wstring | name
| Returns the profile name.
readonly attribute wstringUUID | providerId
| Returns provider identifier tied with this profile.

## Member Function Documentation

## ◆ getProperty()

void ICloudProfile::getProperty | ( | in wstring | name,
|  | [retval] out wstring | value
| ) |  |

Returns the value of the cloud profile property with the given name.

If the requested data name does not exist, this function will succeed and return an empty string in the value argument.

Parameters

  name | Name of the property to get.
  value | Current property value.

Expected result codes:

  E_INVALIDARG | name is `null` or empty.

## ◆ setProperty()

void ICloudProfile::setProperty | ( | in wstring | name,
|  | in wstring | value
| ) |  |

Sets the value of the cloud profile property with the given name.

Setting the property value to `null` or an empty string is equivalent to deleting the existing value.

Parameters

  name | Name of the property to set.
  value | Property value to set.

Expected result codes:

  E_INVALIDARG | name is `null` or empty.

## ◆ getProperties()

void ICloudProfile::getProperties | ( | in wstring | names,
|  | out wstring[] | returnNames,
|  | [retval] out wstring[] | returnValues
| ) |  |

Returns values for a group of properties in one call.

The names of the properties to get are specified using the names argument which is a list of comma-separated property names or an empty string if all properties are to be returned.

The method returns two arrays, the array of property names corresponding to the names argument and the current values of these properties. Both arrays have the same number of elements with each element at the given index in the first array corresponds to an element at the same index in the second array.

Parameters

  names | Names of properties to get.
  returnNames | Names of returned properties.
  returnValues | Values of returned properties.

Note
  Currently the value of this argument is ignored and the method always returns all existing properties.

## ◆ setProperties()

void ICloudProfile::setProperties | ( | in wstring[] | names,
|  | in wstring[] | values
| ) |  |

Updates profile, changing/adding/removing properties.

The names of the properties to set are passed in the names array along with the new values for them in the values array. Both arrays have the same number of elements with each element at the given index in the first array corresponding to an element at the same index in the second array.

If there is at least one property name in names that is not valid, the method will fail before changing the values of any other properties from the names array.

Using this method over setProperty is preferred if you need to set several properties at once since it is more efficient.

Setting the property value to `null` or an empty string is equivalent to deleting the existing value.

Parameters

  names | Names of properties.
  values | Values of set properties.

## ◆ remove()

void ICloudProfile::remove | ( |  | ) |

Deletes a profile.

## ◆ createCloudClient()

void ICloudProfile::createCloudClient | ( | [retval] out ICloudClient | cloudClient | ) |

Creates a cloud client for this cloud profile.

Parameters

  cloudClient | The cloud client object reference.

## Member Data Documentation

## ◆ name

attribute wstring ICloudProfile::name

Returns the profile name.

## ◆ providerId

readonly attribute wstringUUID ICloudProfile::providerId

Returns provider identifier tied with this profile.